Bug 56207 - NEAT uses hard links for config files
Summary: NEAT uses hard links for config files
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network   
(Show other bugs)
Version: 7.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-11-13 21:29 UTC by Bernd Bartmann
Modified: 2008-05-01 15:38 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-14 16:44:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bernd Bartmann 2001-11-13 21:29:39 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [de] (X11; U; Linux 2.4.9-13 i686)

Description of problem:
The new network scripts use:
/etc/sysconfig/networking/devices
/etc/sysconfig/networking/profiles/default
/etc/sysconfig/network-scripts/
A config file for a network interface, e.g. ifcfg-eth0 is linked to all 3
above directories. I took me hours to find out that these are hard links.
It would be much better (easier to see) if these links were soft links. I
also could not find any documentation about the new directories and what
they are used for.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Look in /etc/sysconfig/networking/devices,
/etc/sysconfig/networking/profiles/default and
/etc/sysconfig/network-scripts for ifcfg-eth0.
2. Its not easy to see that these files are exactly the same (done by hard
links)
3.
	

Additional info:

Comment 1 Phil Knirsch 2001-11-14 16:48:50 UTC
As a lot of the initscripts and programs rely on the fact that these files,
especially the ifcfg-ethX and ifcfg-pppY files are NOT symlinks this is not an
option.

Read ya, Phil

Comment 2 Bernd Bartmann 2001-11-14 17:18:37 UTC
Ok, find soft links are not an option, then please at least document this
behaviour somewhere. And please explain the purpose of the new directory
structure (etc/sysconfig/networking/* and /etc/sysconfig/network-scripts/*).


Note You need to log in before you can comment on or make changes to this bug.